Submit 3DS Challenge Outcome

post/api/3ds-challenges/{challengeId}/outcome

Submit the outcome of a 3DS Strong Customer Authentication (SCA) challenge. Call this endpoint after presenting the cardholder with the challenge received via the Payment 3DS SCA webhook, to approve or decline the transaction on their behalf.

Request

Path Parameters

  • challengeIdstringrequired

    The Immersve ID for the 3DS challenge, as received in the Payment 3DS SCA webhook payload.

Body application/json

One of

  • outcomestringrequired
    Allowed values:approved

    The cardholder's response to the SCA challenge.

  • authTypestringdeprecated

    The authentication method used by the cardholder. May include the following values: pin, face-id, fingerprint, device-passcode. Deprecated — use authTypes instead. Either authType or authTypes must be provided.

  • authTypesstring[]required

    A list of authentication methods used by the cardholder. May include the following values: pin, face-id, fingerprint, device-passcode. Either authTypes or the deprecated authType must be provided.

  • authenticatedAtstring<date-time>required

    The timestamp when the cardholder completed authentication in UTC.

  • metadataobjectrequired

    Additional context about the app and device used during authentication.

    • appIdstringrequired

      An ID for the app submitting the outcome.

    • deviceIdstringrequired

      A stable, platform-native ID for the cardholder's device. Should be consistent across sessions and recognisable to the cardholder.

    • ipAddressstringrequired

      The IP address of the cardholder's device.

Response

Challenge outcome submitted successfully.